# (c) 2026 NetBox Labs, Inc.
# Licensed under the NetBox Limited Use License v1.0
# https://netboxlabs.com/ndx/license
# Community DTL portions licensed under Apache 2.0:
# https://github.com/netbox-community/devicetype-library
---
manufacturer: HPE
model: HP ProCurve Switch vl 20-Port Gig-T+ 4 SFP Module
part_number: J9033A
comments: HP ProCurve Switch vl 20-Port Gig-T+ 4 SFP Module
interfaces:
- name: '{module}1'
  type: 1000base-t
- name: '{module}2'
  type: 1000base-t
- name: '{module}3'
  type: 1000base-t
- name: '{module}4'
  type: 1000base-t
- name: '{module}5'
  type: 1000base-t
- name: '{module}6'
  type: 1000base-t
- name: '{module}7'
  type: 1000base-t
- name: '{module}8'
  type: 1000base-t
- name: '{module}9'
  type: 1000base-t
- name: '{module}10'
  type: 1000base-t
- name: '{module}11'
  type: 1000base-t
- name: '{module}12'
  type: 1000base-t
- name: '{module}13'
  type: 1000base-t
- name: '{module}14'
  type: 1000base-t
- name: '{module}15'
  type: 1000base-t
- name: '{module}16'
  type: 1000base-t
- name: '{module}17'
  type: 1000base-t
- name: '{module}18'
  type: 1000base-t
- name: '{module}19'
  type: 1000base-t
- name: '{module}20'
  type: 1000base-t
- name: '{module}21'
  type: 1000base-x-sfp
- name: '{module}22'
  type: 1000base-x-sfp
- name: '{module}23'
  type: 1000base-x-sfp
- name: '{module}24'
  type: 1000base-x-sfp
